"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Container for the unique forms of guides the OPF can handle.
 */
class OpfGuideCollection {
    write(xml) {
        if (!this.cover && !this.toc && !this.text) {
            return;
        }
        xml = xml.ele("opf:guide");
        if (this.acknowledgements) {
            this.acknowledgements.write(xml, "acknowledgements");
        }
        if (this.colophon) {
            this.colophon.write(xml, "colophon");
        }
        if (this.cover) {
            this.cover.write(xml, "cover");
        }
        if (this.dedication) {
            this.dedication.write(xml, "dedication");
        }
        if (this.text) {
            this.text.write(xml, "text");
            this.text.write(xml, "start");
        }
        if (this.toc) {
            this.toc.write(xml, "toc");
        }
    }
}
exports.OpfGuideCollection = OpfGuideCollection;
//# sourceMappingURL=OpfGuideCollection.js.map