"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class OpfIdentifier {
    constructor(id, type = "book-id", scheme = "uuid", unique = true) {
        this.type = type;
        this.scheme = scheme;
        this.id = id;
        this.unique = unique;
    }
    write(xml) {
        let attrs = {};
        if (this.type) {
            attrs["id"] = this.type;
        }
        if (this.scheme) {
            attrs["opf:scheme"] = this.scheme;
        }
        xml.ele("dc:identifier", attrs, this.id);
    }
}
exports.OpfIdentifier = OpfIdentifier;
//# sourceMappingURL=OpfIdentifier.js.map