"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const expect = require("expect");
require("mocha");
const OpfIdentifier_1 = require("../OpfIdentifier");
const opf = require("../index");
describe("guides", function () {
    it("missing unique identifier", function (callback) {
        const t = new opf.Opf();
        const m = t.validate();
        expect(m.length).toBe(1);
        callback();
    });
    it("too many unique identifiers", function (callback) {
        const t = new opf.Opf();
        t.identifiers.push(new OpfIdentifier_1.OpfIdentifier("i", "UUID", "book-id", true));
        t.identifiers.push(new OpfIdentifier_1.OpfIdentifier("i", "UUID", "book-id2", true));
        const m = t.validate();
        expect(m.length).toBe(1);
        callback();
    });
    it("one unique identifiers", function (callback) {
        const t = new opf.Opf();
        t.identifiers.push(new OpfIdentifier_1.OpfIdentifier("i", "UUID", "book-id", true));
        const m = t.validate();
        expect(m.length).toBe(0);
        callback();
    });
});
//# sourceMappingURL=OpfTests.js.map